package com.hzya.frame.sys.thirdparty.api.certification.dao.impl;

import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.sys.thirdparty.api.certification.dao.ISysThirdpartyapiCertificationMapper;
import com.hzya.frame.sys.thirdparty.api.certification.entity.SysThirdpartyapiCertification;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * @description: 第三方应用接口认证信息表  dao
 * @tableName: sys_thirdparty_api_certification
 * @entityName: SysThirdpartyapiCertification
 * @author: gjh
 * @history:1.0
 */
@Service
public class SysThirdpartyapiCertificationMapperImpl extends MybatisGenericDao<SysThirdpartyapiCertification, String> implements ISysThirdpartyapiCertificationMapper {

    @Override
    public SysThirdpartyapiCertification entity_get(String id) {
        SysThirdpartyapiCertification o = (SysThirdpartyapiCertification) super.selectOne(getSqlIdPrifx() + "entity_get", id);
        return o;

    }

    //查询 采用==查询   entity_list_base
    @Override
    public List<SysThirdpartyapiCertification> entity_list_base(SysThirdpartyapiCertification entity) {
        List<SysThirdpartyapiCertification> o = super.query(getSqlIdPrifx() + "entity_list_base", entity);
        return o;

    }

    //  查询符合条件的数量
    @Override
    public Integer entity_count(SysThirdpartyapiCertification entity) {
        Integer o = (Integer) super.selectOne(getSqlIdPrifx() + "entity_count", entity);
        return o;

    }

    //分页查询列表 采用like格式 entity_list_like
    @Override
    public List<SysThirdpartyapiCertification> entity_list_like(SysThirdpartyapiCertification entity) {
        List<SysThirdpartyapiCertification> o = super.query(getSqlIdPrifx() + "entity_list_like", entity);
        return o;

    }

    //查询列表 字段采用or格式   entity_list_or
    @Override
    public List<SysThirdpartyapiCertification> entity_list_or(SysThirdpartyapiCertification entity) {
        List<SysThirdpartyapiCertification> o = super.query(getSqlIdPrifx() + "entity_list_or", entity);
        return o;

    }

    //新增  entity_insert
    @Override
    public SysThirdpartyapiCertification entity_insert(SysThirdpartyapiCertification entity) {
        entity = super.save(getSqlIdPrifx() + "entity_insert", entity);
        return entity;

    }

    //修改  entity_update
    @Override
    public Integer entity_update(SysThirdpartyapiCertification entity) {
        Integer o = super.update(getSqlIdPrifx() + "entity_update", entity);
        return o;

    }

    //逻辑删除    entity_delete
    @Override
    public Integer entity_logicDelete(SysThirdpartyapiCertification entity) {
        Integer o = super.delete(getSqlIdPrifx() + "entity_logicDelete", entity);
        return o;

    }

    //逻辑删除多条件
    @Override
    public Integer entity_logicDelete_Multi_Condition(SysThirdpartyapiCertification entity) {
        Integer o = super.logicRemoveMultiCondition(getSqlIdPrifx() + "entity_logicDelete_Multi_Condition", entity);
        return o;

    }

    //物理删除
    @Override
    public Integer entity_delete(SysThirdpartyapiCertification entity) {
        Integer o = super.delete(getSqlIdPrifx() + "entity_delete", entity);
        return o;

    }

    //逻辑删除    delect_by_ThirdpartyApiId
    @Override
    public Integer delect_by_ThirdpartyApiId(List<String> entity) {
        Integer o = super.delete(getSqlIdPrifx() + "delect_by_ThirdpartyApiId", entity);
        return o;
    }
}
